These docs are for v1. Click to read the latest docs for v3.

Edit

The update geofence API allows you to edit the details of an existing geofence. Only one geofence can be updated in a single API call. You are allowed to update geofences for those you have access to modify.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sample Request

https://api.azuga.com/azuga-ws/v1/geofence/update.json

For Circular Geofence:
{  
   "name":"Office Building",
   "latitude":39.288815,
   "longitude":-77.860099,
   "radiusUnit":"metres",
   "radius":4.1234,
   "address":"101 West Washington Street, Charles Town, WV, United States",
   "color":"#15eb15",
   "alertType":"BOTH",
   "ccAddress":"[email protected]",
   "mode":"0",
   "landmarkCategory": {"name": "Customer"}
   "groupNames":[  
      "West Coast"
   ],
   "email":[  
      "[email protected]"
   ]
}

For Polygon Geofence:
{  
   "name":"Office Building",
   "latitude":"39.2888",
   "longitude":"-77.86",
   "fenceType":"Polygon",
   "landmarkCategory": {"name": "Customer"}
   "geometry":[  
      [  
         [  
            -77.86007488891755,
            39.28885426493847
         ],
         [  
            -77.86009098217164,
            39.28876240490376
         ],
         [  
            -77.85992468521272,
            39.28875462014952
         ],
         [  
            -77.86000716313993,
            39.288873467303375
         ]
      ]
   ],
   "address":"101 West Washington Street, Charles Town, WV, United States",
   "color":"#15eb15",
   "alertType":"BOTH",
   "ccAddress":"[email protected]",
   "mode":"0",
   "groupNames":[  
      "West Coast"
   ],
   "email":[  
      "[email protected]"
   ]
}

API Response explanation

FieldDescription
codeAPI Status Code
messageAPI Message
generatedAtAPI generation timestamp in UTC
reasonThe reason for failure
currentPageThe current page
totalPagesThe total number of pages in the result
Body Params
string
required

Name of the geofence ( The geofence name and one of the following parameters are required for the API call).

string

Name of an existing landmark (One of the following parameters is mandatory - landmarkName, latitude and longitude coordinates, address)

double

Latitude coordinate of the geofence (One of the following parameters is mandatory - landmarkName, latitude and longitude coordinates, address)

double

Longitude coordinate of the geofence (One of the following parameters is mandatory - landmarkName, latitude and longitude coordinates, address)

string

Address of the geofence location (One of the following parameters is mandatory - landmarkName, latitude and longitude coordinates, address)

string
Defaults to Circular

Type of geofence, circular or polygonal

int32

Radius of the geofence, if it is circular

string

Unit of radius of the geofence, if it is circular

string

Geometry of the geofence specifying the vertices(latitude,longitude), if the fenceType is polygonal

string

Color of the geofence

string

Name of the group associated with the geofence

string

List of email ids of the users who are associated with the administrator

string

Email address(es) to which alert mails have to be sent apart from the primary email address

string

Mode of alert specifying whether the email should be sent as soon as an event occurs or once in an hour

string

Specifies the event (vehicle entry and/or exit) for which an alert needs to be sent

landmarkCategory
array of objects
required

Object representing the landmark category data

landmarkCategory*
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json